- HTTP request
- Path parameters
- Query parameters
- Request body
- Response body
- Authorization scopes
- Try it!
Updates the specified test case.
HTTP request
PATCH https://{endpoint}/v3beta1/{testCase.name=projects/*/locations/*/agents/*/testCases/*}
Where {endpoint} is one of the supported service endpoints.
The URLs use gRPC Transcoding syntax.
Path parameters
| Parameters | |
|---|---|
testCase.name |
The unique identifier of the test case. |
Query parameters
| Parameters | |
|---|---|
updateMask |
Required. The mask to specify which fields should be updated. The This is a comma-separated list of fully qualified names of fields. Example: |
Request body
The request body contains an instance of TestCase.
Response body
If successful, the response body contains an instance of TestCase.
Authorization scopes
Requires one of the following OAuth scopes:
https://www.googleapis.com/auth/cloud-platformhttps://www.googleapis.com/auth/dialogflow
For more information, see the Authentication Overview.